Package org.eclipse.mat.query.annotations

# Enum Argument.Advice

java.lang.Object
java.lang.Enum<Argument.Advice>
org.eclipse.mat.query.annotations.Argument.Advice

All Implemented Interfaces:
  `Serializable`, `Comparable<Argument.Advice>`, `java.lang.constant.Constable`

Enclosing class:
  Argument

public static enum Argument.Advice extends Enum<Argument.Advice>
Optional advice for the query argument that is needed if the declaring type does not give enough evidence how to convert or validate this argument.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASS_NAME_PATTERN`
Indicates that the argument of type java.util.Pattern specifies a class name pattern.
`DIRECTORY`
Used with an argument of type File this should indicate that the parameter represents a directory.
`HEAP_OBJECT`
Indicates that the (primitive) Integer or List / Array of Integers shall represent heap objects.
`NONE`
By default, the conversion and validation rules are applied that result from the declared type.
`SAVE`
Used with an argument of type File this should indicate that the parameter represents a file to be created or written to.
`SECONDARY_SNAPSHOT`
Indicates that the argument of type `ISnapshot` relates to a snapshot other than the current one.

## Method Summary

Modifier and Type
Method
Description
`static Argument.Advice`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Argument.Advice[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Argument.Advice NONE
By default, the conversion and validation rules are applied that result from the declared type.

### HEAP_OBJECT

public static final Argument.Advice HEAP_OBJECT
Indicates that the (primitive) Integer or List / Array of Integers shall represent heap objects.

### SECONDARY_SNAPSHOT

public static final Argument.Advice SECONDARY_SNAPSHOT
Indicates that the argument of type `ISnapshot` relates to a snapshot other than the current one.

### CLASS_NAME_PATTERN

public static final Argument.Advice CLASS_NAME_PATTERN
Indicates that the argument of type java.util.Pattern specifies a class name pattern. Therefore the appropriate smart fixing is applied.

### DIRECTORY

public static final Argument.Advice DIRECTORY
Used with an argument of type File this should indicate that the parameter represents a directory. The default for File arguments is a file.

Since:
  1.0

### SAVE

public static final Argument.Advice SAVE
Used with an argument of type File this should indicate that the parameter represents a file to be created or written to. The default for File arguments is a file to be opened.

Since:
  1.0

## Method Details

### values

public static Argument.Advice[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Argument.Advice valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null